Package de.willuhn.jameica.hbci.server

# Class KontoauszugImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.KontoauszugImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `HibiscusDBObject`, `Kontoauszug`, `Serializable`, `Remote`

public class KontoauszugImpl extends AbstractHibiscusDBObject implements Kontoauszug
Implementierung der elektronischen Kontoauszuege pro Konto.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`KontoauszugImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getAusfuehrungsdatum()`
Liefert das Datum, zu dem der Kontoauszug abgerufen wurde.
`Date`
`getBis()`
Liefert das Ende-Datum des Berichtszeitraumes.
`String`
`getDateiname()`
Liefert den Dateinamen des Kontoauszuges.
`Date`
`getErstellungsdatum()`
Liefert das Datum der bankseitigen Erstellung des Kontoauszuges.
`protected Class`
`getForeignObject(String field)`
`String`
`getFormat()`
Liefert das Format-Kuerzel der Datei.
`Date`
`getGelesenAm()`
Liefert das Datum, an dem der Kontoauszug als gelesen markiert wurde.
`Integer`
`getJahr()`
Liefert das Jahr des Kontoauszuges.
`String`
`getKommentar()`
Liefert einen optionalen Kommentar.
`Konto`
`getKonto()`
Liefert das Konto.
`String`
`getName1()`
Liefert den ersten Namen des Kontoauszuges.
`String`
`getName2()`
Liefert den zweiten Namen des Kontoauszuges.
`String`
`getName3()`
Liefert den dritten Namen des Kontoauszuges.
`Integer`
`getNummer()`
Liefert die Nummer des Kontoauszuges.
`String`
`getPfad()`
Liefert den Ordner, in dem sich die zugehorige Datei befindet.
`String`
`getPrimaryAttribute()`
`Date`
`getQuittiertAm()`
Liefert das Datum, an dem die Quittung an die Bank gesendet wurde.
`byte[]`
`getQuittungscode()`
Liefert den Quittungscode des Kontoauszuges.
`protected String`
`getTableName()`
`String`
`getUUID()`
Liefert eine optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
`Date`
`getVon()`
Liefert das Start-Datum des Berichtszeitraumes.
`void`
`insert()`
`void`
`setBis(Date bis)`
Speichert das Ende-Datum des Berichtszeitraumes.
`void`
`setDateiname(String dateiname)`
Speichert den Dateinamen des Kontoauszuges.
`void`
`setErstellungsdatum(Date d)`
Speichert das Datum der bankseitigen Erstellung des Kontoauszuges.
`void`
`setFormat(String format)`
Speichert das Format-Kuerzel der Datei.
`void`
`setGelesenAm(Date d)`
Speichert das Datum, an dem der Kontoauszug als gelesen markiert wurde.
`void`
`setJahr(Integer jahr)`
Speichert das Jahr des Kontoauszuges.
`void`
`setKommentar(String kommentar)`
Speichert einen optionalen Kommentar.
`void`
`setKonto(Konto konto)`
Speichert das Konto.
`void`
`setName1(String name1)`
Speichert den ersten Namen des Kontoauszuges.
`void`
`setName2(String name2)`
Speichert den zweiten Namen des Kontoauszuges.
`void`
`setName3(String name3)`
Speichert den dritten Namen des Kontoauszuges.
`void`
`setNummer(Integer nummer)`
Speichert die Nummer des Kontoauszuges.
`void`
`setPfad(String pfad)`
Speichert den Ordner, in dem sich die zugehoerige Datei befindet.
`void`
`setQuittiertAm(Date d)`
Speichert das Datum, an dem die Quittung an die Bank gesendet wurde.
`void`
`setQuittungscode(byte[] code)`
Speichert den Quittungscode des Kontoauszuges.
`void`
`setUUID(String uuid)`
Speichert optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
`void`
`setVon(Date von)`
Speichert das Start-Datum des Berichtszeitraumes.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`delete, getMeta, setMeta, store`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insertCheck, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback, updateCheck`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### KontoauszugImpl

public KontoauszugImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getKonto

public Konto getKonto() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Konto.

Specified by:
  `getKonto` in interface `Kontoauszug`
Returns:
  Konto.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getKonto()`

### setKonto

public void setKonto(Konto konto) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Konto.

Specified by:
  `setKonto` in interface `Kontoauszug`
Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setKonto(de.willuhn.jameica.hbci.rmi.Konto)`

### getAusfuehrungsdatum

public Date getAusfuehrungsdatum() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Datum, zu dem der Kontoauszug abgerufen wurde.

Specified by:
  `getAusfuehrungsdatum` in interface `Kontoauszug`
Returns:
  das Datum zu dem der Kontoauszug abgerufen wurde.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getAusfuehrungsdatum()`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert einen optionalen Kommentar.

Specified by:
  `getKommentar` in interface `Kontoauszug`
Returns:
  optionaler Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getKommentar()`

### setKommentar

public void setKommentar(String kommentar) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert einen optionalen Kommentar.

Specified by:
  `setKommentar` in interface `Kontoauszug`
Parameters:
  `kommentar` - Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setKommentar(java.lang.String)`

### getPfad

public String getPfad() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert den Ordner, in dem sich die zugehorige Datei befindet.

Specified by:
  `getPfad` in interface `Kontoauszug`
Returns:
  der Ordner - ohne Dateiname.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getPfad()`

### setPfad

public void setPfad(String pfad) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert den Ordner, in dem sich die zugehoerige Datei befindet.

Specified by:
  `setPfad` in interface `Kontoauszug`
Parameters:
  `pfad` - der Ordner - ohne Dateiname.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setPfad(java.lang.String)`

### getDateiname

public String getDateiname() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert den Dateinamen des Kontoauszuges.

Specified by:
  `getDateiname` in interface `Kontoauszug`
Returns:
  der Dateiname des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getDateiname()`

### setDateiname

public void setDateiname(String dateiname) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert den Dateinamen des Kontoauszuges.

Specified by:
  `setDateiname` in interface `Kontoauszug`
Parameters:
  `dateiname` - der Dateiname des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setDateiname(java.lang.String)`

### getUUID

public String getUUID() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert eine optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.

Specified by:
  `getUUID` in interface `Kontoauszug`
Returns:
  optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getUUID()`

### setUUID

public void setUUID(String uuid) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.

Specified by:
  `setUUID` in interface `Kontoauszug`
Parameters:
  `uuid` - optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setUUID(java.lang.String)`

### getFormat

public String getFormat() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Format-Kuerzel der Datei. 1 = Swift MT940 2 = ISO 8583 3 = PDF

Specified by:
  `getFormat` in interface `Kontoauszug`
Returns:
  das Format-Kuerzel der Datei.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getFormat()`

### setFormat

public void setFormat(String format) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Format-Kuerzel der Datei.

Specified by:
  `setFormat` in interface `Kontoauszug`
Parameters:
  `format` - das Format-Kuerzel der Datei.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setFormat(java.lang.String)`

### getErstellungsdatum

public Date getErstellungsdatum() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Datum der bankseitigen Erstellung des Kontoauszuges.

Specified by:
  `getErstellungsdatum` in interface `Kontoauszug`
Returns:
  das Datum der bankseitigen Erstellung des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getErstellungsdatum()`

### setErstellungsdatum

public void setErstellungsdatum(Date d) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Datum der bankseitigen Erstellung des Kontoauszuges.

Specified by:
  `setErstellungsdatum` in interface `Kontoauszug`
Parameters:
  `d` - das Datum der bankseitigen Erstellung des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setErstellungsdatum(java.util.Date)`

### getVon

public Date getVon() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Start-Datum des Berichtszeitraumes.

Specified by:
  `getVon` in interface `Kontoauszug`
Returns:
  das Start-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getVon()`

### setVon

public void setVon(Date von) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Start-Datum des Berichtszeitraumes.

Specified by:
  `setVon` in interface `Kontoauszug`
Parameters:
  `von` - das Start-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setVon(java.util.Date)`

### getBis

public Date getBis() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Ende-Datum des Berichtszeitraumes.

Specified by:
  `getBis` in interface `Kontoauszug`
Returns:
  das Ende-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getBis()`

### setBis

public void setBis(Date bis) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Ende-Datum des Berichtszeitraumes.

Specified by:
  `setBis` in interface `Kontoauszug`
Parameters:
  `bis` - das Ende-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setBis(java.util.Date)`

### getJahr

public Integer getJahr() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Jahr des Kontoauszuges.

Specified by:
  `getJahr` in interface `Kontoauszug`
Returns:
  das Jahr des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getJahr()`

### setJahr

public void setJahr(Integer jahr) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Jahr des Kontoauszuges.

Specified by:
  `setJahr` in interface `Kontoauszug`
Parameters:
  `jahr` - das jahr des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setJahr(java.lang.Integer)`

### getNummer

public Integer getNummer() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert die Nummer des Kontoauszuges.

Specified by:
  `getNummer` in interface `Kontoauszug`
Returns:
  die Nummer des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getNummer()`

### setNummer

public void setNummer(Integer nummer) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert die Nummer des Kontoauszuges.

Specified by:
  `setNummer` in interface `Kontoauszug`
Parameters:
  `nummer` - die Nummer des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setNummer(java.lang.Integer)`

### getName1

public String getName1() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert den ersten Namen des Kontoauszuges.

Specified by:
  `getName1` in interface `Kontoauszug`
Returns:
  der erste Name des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getName1()`

### setName1

public void setName1(String name1) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert den ersten Namen des Kontoauszuges.

Specified by:
  `setName1` in interface `Kontoauszug`
Parameters:
  `name1` - der erste Name des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setName1(java.lang.String)`

### getName2

public String getName2() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert den zweiten Namen des Kontoauszuges.

Specified by:
  `getName2` in interface `Kontoauszug`
Returns:
  der zweite Name des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getName2()`

### setName2

public void setName2(String name2) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert den zweiten Namen des Kontoauszuges.

Specified by:
  `setName2` in interface `Kontoauszug`
Parameters:
  `name2` - der zweite Name des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setName2(java.lang.String)`

### getName3

public String getName3() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert den dritten Namen des Kontoauszuges.

Specified by:
  `getName3` in interface `Kontoauszug`
Returns:
  der dritte Name des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getName3()`

### setName3

public void setName3(String name3) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert den dritten Namen des Kontoauszuges.

Specified by:
  `setName3` in interface `Kontoauszug`
Parameters:
  `name3` - der dritte Name des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setName3(java.lang.String)`

### getQuittungscode

public byte[] getQuittungscode() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert den Quittungscode des Kontoauszuges.

Specified by:
  `getQuittungscode` in interface `Kontoauszug`
Returns:
  der Quittungscode des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getQuittungscode()`

### setQuittungscode

public void setQuittungscode(byte[] code) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert den Quittungscode des Kontoauszuges.

Specified by:
  `setQuittungscode` in interface `Kontoauszug`
Parameters:
  `code` - der Quittungscode des Kontoauszuges.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setQuittungscode(byte[])`

### getQuittiertAm

public Date getQuittiertAm() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Datum, an dem die Quittung an die Bank gesendet wurde.

Specified by:
  `getQuittiertAm` in interface `Kontoauszug`
Returns:
  das Datum, an dem die Quittung an die Bank gesendet wurde.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getQuittiertAm()`

### setQuittiertAm

public void setQuittiertAm(Date d) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Datum, an dem die Quittung an die Bank gesendet wurde.

Specified by:
  `setQuittiertAm` in interface `Kontoauszug`
Parameters:
  `d` - das Datum, an dem die Quittung an die Bank gesendet wurde.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setQuittiertAm(java.util.Date)`

### getGelesenAm

public Date getGelesenAm() throws RemoteException
Description copied from interface: `Kontoauszug`
Liefert das Datum, an dem der Kontoauszug als gelesen markiert wurde.

Specified by:
  `getGelesenAm` in interface `Kontoauszug`
Returns:
  das Datum, an dem der Kontoauszug als gelesen markiert wurde.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.getGelesenAm()`

### setGelesenAm

public void setGelesenAm(Date d) throws RemoteException
Description copied from interface: `Kontoauszug`
Speichert das Datum, an dem der Kontoauszug als gelesen markiert wurde.

Specified by:
  `setGelesenAm` in interface `Kontoauszug`
Parameters:
  `d` - das Datum, an dem der Kontoauszug als gelesen markiert wurde.
Throws:
  `RemoteException`
See Also:
  - `Kontoauszug.setGelesenAm(java.util.Date)`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getPrimaryAttribute()`

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### insert

public void insert() throws RemoteException, de.willuhn.util.ApplicationException

Overrides:
  `insert` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insert()`

### getForeignObject

protected Class getForeignObject(String field) throws RemoteException

Overrides:
  `getForeignObject` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getForeignObject(java.lang.String)`